Subject: Re: Contributors, please check your names

From: Jakub Narebski <[email-masked]>
Date: Thu, 17 Jul 2008 07:49:48 -0700 (PDT)

Junio C Hamano <[email-masked]> writes:

> There is a "mailmap" mechanism to consolidate them; it allows us to
> specify what human-readable name should be used for given e-mail address.
> The hypothetical Mr. Thor might want to say "I am A. U. Thor; some commits
> from me, <[email-masked]>, are marked without abbreviating periods in
> my name", and we can add this entry to the toplevel .mailmap file to fix
> it:
> 
> 	A. U. Thor <[email-masked]>
> 
> It tells the shortlog (and --pretty=format:%aN in recent enough git)
> mechanism to give huma readable name "A. U. Thor" anytime it sees
> <[email-masked]> e-mail address, regardless of what the Author:
> header in the commit object says.

What about if some authors use different _email_ address, instead?
Is there any way for shortlog to consider them the same?

-- 
Jakub Narebski
Poland
ShadeHawk on #git